# Uses of Class
org.astrogrid.samp.client.HubConnector

Packages that use HubConnector
Package
Description
org.astrogrid.samp.bridge
Classes for the SAMP Bridge.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.

## Uses of HubConnector in org.astrogrid.samp.bridge

Methods in org.astrogrid.samp.bridge that return HubConnector
Modifier and Type
Method
Description
`HubConnector[]`
Bridge.`getBridgeClients()`
Returns the hub connectors representing the bridge client running on each linked hub.

## Uses of HubConnector in org.astrogrid.samp.gui

Subclasses of HubConnector in org.astrogrid.samp.gui
Modifier and Type
Class
Description
`class`
`GuiHubConnector`
Extends HubConnector to provide additional graphical functionality.
`class`
`MessageTrackerHubConnector`
HubConnector implementation which provides facilities for keeping track of incoming and outgoing messages as well as the other GUI features.